Loading...
Searching...
No Matches
Dune::GridFactory< PolyhedralGrid< dim, dimworld, coord_t > > Class Template Reference
Inheritance diagram for Dune::GridFactory< PolyhedralGrid< dim, dimworld, coord_t > >:

## Public Types

typedef PolyhedralGrid< dim, dimworld, coord_t > | Grid
typedef Grid::ctype | ctype
typedef MPIHelper::MPICommunicator | MPICommunicatorType
typedef Grid::template Codim< 0 >::Entity | Element
typedef Grid::template Codim< dimension >::Entity | Vertex
typedef Dune::FieldVector< ctype, dimensionworld > | CoordinateType
typedef CoordinateType | Coordinate
using | UniquePtrType = std::unique_ptr<Grid>

## Public Member Functions

| GridFactory (const MPICommunicatorType &=MPIHelper::getCommunicator())
| Default constructor.
virtual void | insertVertex (const CoordinateType &pos)
virtual void | insertElement (const GeometryType &type, const std::vector< unsigned int > &items)
| Insert an element into the coarse grid.
void | insertBoundarySegment (const std::vector< unsigned int > &)
UniquePtrType | createGrid ()

## Static Public Attributes

static const int | dimension = Grid::dimension
static const int | dimensionworld = Grid::dimensionworld

## Protected Attributes

std::vector< CoordinateType > | nodes_
std::vector< std::vector< int > > | faces_
std::vector< std::vector< int > > | cells_

## Member Function Documentation

## insertElement()

template<int dim, int dimworld, class coord_t>

virtual void Dune::GridFactory< PolyhedralGrid< dim, dimworld, coord_t > >::insertElement | ( | const GeometryType & | type,
|  | const std::vector< unsigned int > & | items )

inline virtual

Insert an element into the coarse grid.

Parameters

  type | The GeometryType of the new element
  items | The items are usually the vertex numbers of the inserted element. If the geometry type is none the these can be face numbers.

Note
  If the GeometryType is none then faces need to be inserted separately using this method and passing a GeometryType with dimension - 1 (with respect to the Grid's dimension).

The documentation for this class was generated from the following file:

- opm/grid/polyhedralgrid/gridfactory.hh